rpc.mountd(8)

NAZWA
rpc.mountd - demon montowania NFS

SKŁADNIA
/usr/sbin/rpc.mountd [opcje]

OPIS
Program rpc.mountd implementuje protokół montowania NFS. Po odebraniu żądania montowania od klienta NFS sprawdza je według listy obecnie wyeksportowanych systemów plików. Jeśli klient ma prawa do zamontowania systemu, rpc.mountd pobiera uchwyt żądanego katalogu i zwraca go klientowi.

  Eksportowanie systemów plików NFS
Udostępnianie systemów plików klientom NFS nazywa się eksportowaniem.

Zazwyczaj system plików i hosty, dla których system ma być dostępny, powinny być wymienione w pliku /etc/exports. Ponadto przy każdym uruchamianiu systemu należy wywołać polecenie exportfs-a. Polecenie exportfs(8) powoduje wyeksportowanie informacji z tego pliku zarówno do jądra, jak i do demona rpc.mountd.

Zamiast tego, można eksportować poszczególne katalogi tymczasowo, używając składni host:/katalog exportfs.

  Plik rmtab
Dla każdego żądania montowania odebranego od klienta NFS, rpc.mountd dodaje wpis w pliku /var/state/nfs/rmtab. Podczas odbierania żądania odmontowania, wpis jest usuwany.

Jednak plik ten jest raczej ozdobnikiem. Po pierwsze, klient może korzystać z uchwytu katalogu nawet po wywołaniu procedury odmontowania. Po drugie, jeśli system będący klientem zostanie przeładowany bez informowania rpc.mountd,to w rmtab pozostanie przestarzały plik.

OPCJE

-N or --no-nfs-version
    Opcja ta może być używana do żądania by rpc.mountd nie oferował pewnych wersji NFS. Obecna wersja rpc.mountd może obsługiwać zarówno wersję 2 jak i 3 NFS. Jeśli sterownik jądra został skompilowany dla NFS3, rpc.mountd musi być wywoływany z opcją --no-nfs-version 3.

-v or --version
    Wypisuje wersję rpc.mountd i kończy pracę.

ZOBACZ TAKŻE
rpc.nfsd(8), exportfs(8), exports(5), rpc.rquotad(8).

PLIKI
/etc/exports, /var/state/nfs/xtab.

AUTOR
Olaf Kirch, H. J. Lu, G. Allan Morris III i wielu innych.